# Uses of Interface
org.springframework.http.client.ClientHttpRequestInitializer

Packages that use ClientHttpRequestInitializer
Package
Description
org.springframework.http.client.support
This package provides generic HTTP support classes, to be used by higher-level classes like RestTemplate.
org.springframework.web.client
Core package of the client-side web support.

## Uses of ClientHttpRequestInitializer in org.springframework.http.client.support

Methods in org.springframework.http.client.support that return types with arguments of type ClientHttpRequestInitializer
Modifier and Type
Method
Description
`List<ClientHttpRequestInitializer>`
HttpAccessor.`getClientHttpRequestInitializers()`
Get the request initializers that this accessor uses.
Method parameters in org.springframework.http.client.support with type arguments of type ClientHttpRequestInitializer
Modifier and Type
Method
Description
`void`
HttpAccessor.`setClientHttpRequestInitializers(List<ClientHttpRequestInitializer> clientHttpRequestInitializers)`
Set the request initializers that this accessor should use.

## Uses of ClientHttpRequestInitializer in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type ClientHttpRequestInitializer
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`requestInitializer(ClientHttpRequestInitializer initializer)`
Add the given request initializer to the end of the initializer chain.
Method parameters in org.springframework.web.client with type arguments of type ClientHttpRequestInitializer
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`requestInitializers(Consumer<List<ClientHttpRequestInitializer>> initializersConsumer)`
Manipulate the initializers with the given consumer.